# class hk_kdequery

KDE high level widget to define queries and see the result. More...

Definition | `#include <hk_kdeclasses/hk_kdeclasses/hk_kdequery.h>`
Inherits | KParts::MainWindow (unknown) [public ], hk_dsquery (unknown) [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- hk_kdequery (QWidget* w=0,const char* n=0,WFlags f=0)
- ~hk_kdequery ()
- virtual bool set_mode (enum_mode s)
- void set_sqlmode (void)
- void set_viewmode (void)
- void set_designmode (void)
- bool in_designmode (void)
- virtual void set_datasource (hk_datasource*)
- hk_datasource* datasource (void)
- void set_autoclose (bool c)
- void set_nodesignmode (bool n)
- bool save_query (const hk_string& n="")
- bool load_query (void)
- hk_dsgrid * grid (void)

#### Public Slots

- void designbutton_clicked (void)
- void querybutton_clicked (void)
- void query_changed (void)
- void savebutton_clicked (void)
- void saveasbutton_clicked (void)
- void close_query (void)
- void print (void)

#### Protected Methods

- virtual void before_source_vanishes (void)
- virtual void closeEvent ( QCloseEvent* e)
- void keyPressEvent ( QKeyEvent * e )

## Detailed Description

hk_kdequery is a high level widget to define queries and see the result. In this mode of development it has a field to enter the SQL query and a grid which shows the resulting data if there is any. hk_kdequery also handles actionqueries correctly.

hk_kdequery (QWidget* w=0,const char* n=0,WFlags f=0)

### hk_kdequery

~hk_kdequery ()

### ~hk_kdequery

bool set_mode (enum_mode s)

### set_mode

[virtual]

void set_sqlmode (void)

### set_sqlmode

shows the "design" window where you can enter the SQL modement

void set_viewmode (void)

### set_viewmode

shows the result of the query if there is any.

void set_designmode (void)

### set_designmode

not developed yet. QBE means Query by Example.

bool in_designmode (void)

### in_designmode

returns true if the sqlwindow or the qbe window is shown. Else returns false (when the result data is shown)

void set_datasource (hk_datasource*)

### set_datasource

[virtual]

hk_datasource* datasource (void)

### datasource

void set_autoclose (bool c)

### set_autoclose

when the datasource vanishes (i.e. will be destroyed) and autoclose is true, the hk_kdequery will be closed otherwise it still is on your screen.

void set_nodesignmode (bool n)

### set_nodesignmode

if the designwindow should not be shown set this true. Default is false.

bool save_query (const hk_string& n="")

### save_query

bool load_query (void)

### load_query

hk_dsgrid * grid (void)

### grid

void designbutton_clicked (void)

### designbutton_clicked

[slot]

void querybutton_clicked (void)

### querybutton_clicked

[slot]

void query_changed (void)

### query_changed

[slot]

void savebutton_clicked (void)

### savebutton_clicked

[slot]

void saveasbutton_clicked (void)

### saveasbutton_clicked

[slot]

void close_query (void)

### close_query

[slot]

void print (void)

### print

[slot]

void before_source_vanishes (void)

### before_source_vanishes

[protected virtual]

void closeEvent ( QCloseEvent* e)

### closeEvent

[protected virtual]

void keyPressEvent ( QKeyEvent * e )

### keyPressEvent

[protected]

- Version: $Revision: 1.23 $
- Author: Horst Knorr (hk_classes@knoda.org)
- Generated: horst on horstnotebook on Tue Mar 30 19:06:43 2004, using kdoc 2.0a54.